:root {
    --container-width: 1440px;
    /* ===== COLORS ===== */
    --clr-primary: #2649B0;
    --clr-dark: black;
    --clr-text: #bad1f5;
    --clr-light: #ffffff;
    --clr-semi-light: #f6f5f3;
    --clr-semi-light2: #f8fafc;
    --clr-muted: #94a3b8;
    --clr-overlay: rgba(0, 0, 0, .45);
    --whatsappColor: #25D366;
    --facebook-color: #1877F2;

    /* ======== used in hero ============ */
    --clr-bg-gradient: linear-gradient(to left, #080d26e5 20%, #080d2696);
    --clr-btn-gradient: linear-gradient(135deg, var(--clr-text) 0%, var(--clr-primary) 100%);
    /* ========= used in services section */
    --clr-gray-text: #4b5563;
    --clr-card-bg: #f9fafb;

    /* ===== SPACING ===== */
    --space-xs: .4rem;
    --space-sm: .8rem;
    --space-md: 1.2rem;
    --space-lg: 2rem;
    --space-xl: 3rem;

    /* ===== FONT SCALE ===== */
    --fs-sm: .85rem;
    --fs-base: 1rem;
    --fs-md: 1.1rem;
    --fs-lg: 1.125rem;
    --fs-xl: 1.6rem;
    --fs-2xl: 1.25rem;
    /* ===== TRANSITION ===== */
    --transition: .35s cubic-bezier(.4, 0, .2, 1);

    /* ====== box shadow === */
    --shadow-sm: 0 2px 10px rgba(0, 0, 0, 0.3);
    --shadow-blue: 0 0 15px rgb(31, 94, 255, 0.2);

    --shadow-card: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    --shadow-card-hover: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
    /* ====== border radius === */
    --br-sm: 12px;
    --br-lg: 50px;
    --radius-md: 10px;

}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Cairo", sans-serif;
    direction: rtl;
    /* min-height: 100vh; */
    /* overflow-y: auto; */
    background-image: url('../img/hero-bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: top left;
}


.container {
    max-width: var(--container-width);
    margin: 0 auto;

}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

button {
    border: none;
    background-color: inherit;
}

/* Max Width limit */
@media (max-width: 1440px) {
    .container {
        padding-inline: var(--space-lg);

    }

    body {
        font-family: "Cairo", sans-serif;
        direction: rtl;
        min-height: 100vh;
        /* overflow-y: auto; */
        background-image: url('../img/hero-bg.jpg');
        background-repeat: no-repeat;
        background-size: 100% 100%;
        background-attachment: fixed;
        background-position: left;

    }
}

@media (max-width:768px) {
    :root {
        --clr-bg-gradient: linear-gradient(to left, var(--clr-dark) 40%, rgba(0, 0, 0, 0.233));
    }
}

@media (max-width:425px) {
    /* :root {
        --clr-bg-gradient: linear-gradient(to left, var(--clr-dark) 30%, rgba(0, 0, 0, 0.233));
    } */
}